aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/default/etc/functions.sh
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2005-11-07 01:12:51 +0000
committerFelix Fietkau <nbd@openwrt.org>2005-11-07 01:12:51 +0000
commitbe5c7d2d2546417767bc5c3471b246fa4f94313e (patch)
tree302a83f06c200757c896bbabe23db4af10445042 /package/base-files/default/etc/functions.sh
parent816e158a73c253f73d53ec19c73cf6c7ea2e3736 (diff)
downloadmaster-187ad058-be5c7d2d2546417767bc5c3471b246fa4f94313e.tar.gz
master-187ad058-be5c7d2d2546417767bc5c3471b246fa4f94313e.tar.bz2
master-187ad058-be5c7d2d2546417767bc5c3471b246fa4f94313e.zip
add hotplug stuff to trunk/
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@2364 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/default/etc/functions.sh')
-rwxr-xr-xpackage/base-files/default/etc/functions.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/package/base-files/default/etc/functions.sh b/package/base-files/default/etc/functions.sh
index bc9767f491..9cfc802357 100755
--- a/package/base-files/default/etc/functions.sh
+++ b/package/base-files/default/etc/functions.sh
@@ -41,12 +41,14 @@ do_ifup() {
$DEBUG ifconfig $if $ip ${netmask:+netmask $netmask} broadcast + up
${gateway:+$DEBUG route add default gw $gateway}
- [ -f /etc/resolv.conf ] && return
-
- debug "# --- creating /etc/resolv.conf ---"
- for dns in $(nvram get ${2}_dns); do
- echo "nameserver $dns" >> /etc/resolv.conf
- done
+ [ -f /etc/resolv.conf ] || {
+ debug "# --- creating /etc/resolv.conf ---"
+ for dns in $(nvram get ${2}_dns); do
+ echo "nameserver $dns" >> /etc/resolv.conf
+ done
+ }
+
+ env -i ACTION="ifup" INTERFACE="${2}" PROTO=static /sbin/hotplug "iface" &
;;
dhcp)
DHCP_IP=$(nvram get ${2}_ipaddr)
@@ -64,6 +66,7 @@ do_ifup() {
sleep 1
kill -9 $oldpid
}
+ # hotplug events are handled by /usr/share/udhcpc/default.script
;;
none|"")
;;